Set select search condition

- « TableSelect::orderby

- mysql_xdevapi\TableUpdate »

- PHP Manual
- mysql_xdevapi\TableSelect
- Set select search condition

# TableSelect::where

(No version information available, might only be in Git)

TableSelect::where — Set select search condition

### Description

public mysql_xdevapi\TableSelect::where(string `$where_expr`): mysql_xdevapi\TableSelect

Sets the search condition to filter.

### Parameters

`where_expr`

  Define the search condition to filter documents or records.

### Return Values

A TableSelect object.

### Examples

Example #1 mysql_xdevapi\TableSelect::where() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $result = $table->select('name','age')
      ->where('name like :name and age > :age')
      ->bind(['name' => 'John', 'age' => 42])
      ->execute();

    $row = $result->fetchAll();
    print_r($row);
    ?>

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [name] => John
                [age] => 42
            )
    )